Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
Class GrailsUrlPathHelper

    java.lang.Object
      org.springframework.web.util.UrlPathHelper
          org.codehaus.groovy.grails.web.servlet.GrailsUrlPathHelper

    public class GrailsUrlPathHelper

extends UrlPathHelper

Extends the default Spring UrlPathHelper and makes methods Grails path aware

Since:
  0.5

  Created: Mar 13, 2007 Time: 6:33:29 PM
Author:
  Graeme Rocher

Field Summary
`static String` | `GRAILS_DISPATCH_EXTENSION`
`static String` | `GRAILS_SERVLET_PATH`

Fields inherited from class org.springframework.web.util.UrlPathHelper
`INCLUDE_CONTEXT_PATH_REQUEST_ATTRIBUTE, INCLUDE_SERVLET_PATH_REQUEST_ATTRIBUTE, INCLUDE_URI_REQUEST_ATTRIBUTE`

Constructor Summary
`GrailsUrlPathHelper()`

Method Summary
`String` | `getPathWithinApplication(HttpServletRequest request)`

Methods inherited from class org.springframework.web.util.UrlPathHelper
`decodeRequestString, determineEncoding, getContextPath, getDefaultEncoding, getLookupPathForRequest, getOriginatingContextPath, getOriginatingQueryString, getOriginatingRequestUri, getPathWithinServletMapping, getRequestUri, getServletPath, setAlwaysUseFullPath, setDefaultEncoding, setUrlDecode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRAILS_DISPATCH_EXTENSION

    public static final String GRAILS_DISPATCH_EXTENSION

See Also:
  Constant Field Values

### GRAILS_SERVLET_PATH

    public static final String GRAILS_SERVLET_PATH

See Also:
  Constant Field Values

Constructor Detail

### GrailsUrlPathHelper

    public GrailsUrlPathHelper()

Method Detail

### getPathWithinApplication

    public String getPathWithinApplication(HttpServletRequest request)

  Overrides:
    `getPathWithinApplication` in class `UrlPathHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project